Create Claim
curl --request POST \
--url https://api.production.orderprotection.com/v1/claims/{sourceOrderId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "claim@example.com",
"salesChannel": "ONLINE",
"claimCategory": "SHIPPING",
"fulfillmentIssues": [
{
"sourceFulfillmentId": "123456",
"issues": [
{
"issueType": "DAMAGED",
"quantity": 1,
"sourceProductId": "product_123",
"sourceVariantId": "variant_123",
"sourceItemId": "item_123",
"details": "The seal on the product showed up broken. There was powder all over the box.",
"images": [
"https://cdn.orderprotection.com/claim/bad-product.jpg"
]
}
]
}
],
"resolution": {
"customerSignature": "https://cdn.orderprotection.com/signature/customer-signature.jpg",
"desiredMethod": "REFUND",
"warrantyPeriod": "P1Y"
},
"claimFiledFrom": "EXTERNAL",
"options": {
"fromValet": false,
"requireCustomerSignature": false
}
}
'import requests
url = "https://api.production.orderprotection.com/v1/claims/{sourceOrderId}"
payload = {
"email": "claim@example.com",
"salesChannel": "ONLINE",
"claimCategory": "SHIPPING",
"fulfillmentIssues": [
{
"sourceFulfillmentId": "123456",
"issues": [
{
"issueType": "DAMAGED",
"quantity": 1,
"sourceProductId": "product_123",
"sourceVariantId": "variant_123",
"sourceItemId": "item_123",
"details": "The seal on the product showed up broken. There was powder all over the box.",
"images": ["https://cdn.orderprotection.com/claim/bad-product.jpg"]
}
]
}
],
"resolution": {
"customerSignature": "https://cdn.orderprotection.com/signature/customer-signature.jpg",
"desiredMethod": "REFUND",
"warrantyPeriod": "P1Y"
},
"claimFiledFrom": "EXTERNAL",
"options": {
"fromValet": False,
"requireCustomerSignature": False
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'claim@example.com',
salesChannel: 'ONLINE',
claimCategory: 'SHIPPING',
fulfillmentIssues: [
{
sourceFulfillmentId: '123456',
issues: [
{
issueType: 'DAMAGED',
quantity: 1,
sourceProductId: 'product_123',
sourceVariantId: 'variant_123',
sourceItemId: 'item_123',
details: 'The seal on the product showed up broken. There was powder all over the box.',
images: ['https://cdn.orderprotection.com/claim/bad-product.jpg']
}
]
}
],
resolution: {
customerSignature: 'https://cdn.orderprotection.com/signature/customer-signature.jpg',
desiredMethod: 'REFUND',
warrantyPeriod: 'P1Y'
},
claimFiledFrom: 'EXTERNAL',
options: {fromValet: false, requireCustomerSignature: false}
})
};
fetch('https://api.production.orderprotection.com/v1/claims/{sourceOrderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok"
}{
"message": "Unauthorized",
"statusCode": 401
}{
"message": "order not found",
"statusCode": 404
}Claims
Create Online Claim
POST
/
v1
/
claims
/
{sourceOrderId}
Create Claim
Shipping and Warranty claims for orders that were made on your online store.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Example:
"claim@example.com"
The sales channel for the claim
Available options:
ONLINE, IN_STORE Example:
"ONLINE"
The category of the claim
Available options:
SHIPPING, WARRANTY Example:
"SHIPPING"
Show child attributes
Show child attributes
Example:
[
{
"sourceFulfillmentId": "123456",
"issues": [
{
"issueType": "DAMAGED",
"quantity": 1,
"sourceProductId": "product_123",
"sourceVariantId": "variant_123",
"sourceItemId": "item_123",
"details": "The seal on the product showed up broken. There was powder all over the box.",
"images": [
"https://cdn.orderprotection.com/claim/bad-product.jpg"
]
}
]
}
]Show child attributes
Show child attributes
Indicates where the claim was filed from
Available options:
EXTERNAL, INTERNAL Example:
"EXTERNAL"
Additional options for claim creation
Show child attributes
Show child attributes
Response
Example:
"ok"
⌘I

